﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AdvancedSearch
{
    /// <summary>
    /// 支持高级搜索功能
    /// </summary>
    public interface ISupportAdvancedSearch
    {
        /// <summary>
        /// 高级搜索的方法
        /// </summary>
        /// <param name="whereSQL">高级搜索组合的查询条件</param>
        /// <returns>返回查询的对象</returns>
        object AdvancedSearch(string whereSQL);
    }
}
